MODULE sol_oce
   !!======================================================================
   !!                    ***  MODULE  sol_oce  ***
   !! Ocean solver :  solver variables defined in memory 
   !!=====================================================================
   !!
   !! ** Purpose :   Define in memory solver variables
   !!
   !! History :
   !!   9.0  !  02-11  (G. Madec)  F90: Free form and module
   !!----------------------------------------------------------------------
   !!  OPA 9.0 , LOCEAN-IPSL (2005) 
   !! $Id$
   !! Software governed by the CeCILL licence  (NEMOGCM/License_CeCILL.txt)
   !!----------------------------------------------------------------------
   !! * Modules used
   USE par_oce         ! ocean parameters

   IMPLICIT NONE
   PRIVATE

   !!-----------------------------------
   !! elliptic solver: SOR, PCG or FETI
   !! ----------------------------------
   INTEGER , PUBLIC ::      & !!: namsol   elliptic solver / island / free surface
      nsolv    =    1          !: = 1/2/3/4 type of elliptic solver

   !!----------------------------------------------------------------------
END MODULE sol_oce
